Subject: Re: [Autoconf] Re: Some Thoughts on Problem Statement.

From: Shubhranshu <[email-masked]>
Date: Wed, 28 Nov 2007 16:48:07 +0530

Hello Ulrich,

Please see inline commnets.

----- Original Message -----
From: "Ulrich Herberg" <[email-masked]>
To: "Alexandru Petrescu" <[email-masked]>
Cc: <[email-masked]>; "Shubhranshu" <[email-masked]>

> Hello Alexandru, hello Shubhranshu,
>
> I also think that the text by Shubhranshu is very useful; some
> comments inline...

Good to hear that.

>
> On 11/26/07, Alexandru Petrescu <[email-masked]> wrote:
>> > A MANET router needs to configure an IPv6 prefix(es) on its host
>> > interface and/or an IPv6 address on its loopback interface. Besides,
>> > it needs to configure a /128 (or /32 in case of IPv4) and/or a link
>> > local address on its MANET interface.
>>
>> I yet have to understand why MANET router has to configure a prefix on
>> its loopback interface.  It's probably by proper definition of MANET -
>> in that case, sorry, froget  it.
>
> To my understanding, this loopback interface serves as a "logical"
> host on the MANET node (correct me if I am wrong). As in real-life
> scenarios, most of the time a mobile node will not only be a router
> but some mobile device (PDA, laptop, ...), it will run some
> applications on it (e.g. web browser). The loopback interface
> definitely needs to be explained in the manetarch draft as I am also
> not sure whether my explanation is correct.

Loopback interface is just a logical interface and more of
implementation details. Here it is mentioned to show the integrity
with respect to classical IP addressing architecture. If there are
confusions then perhaps PS ID can clarify them, while remaining within
the document scope.

>
> Another reason of using the loopback interface could be to not
> attribute an IP address to the MANET interface but using unnumbered
> interfaces (as specified by Cisco).
>
>> On another hand, if a Router has a prefix in its config file and looks
>> for a way to configure a address from that prefix on one of its real
>> interfaces, then one possibility is to derive itself an address from its
>> Ethernet MAC address, attach it to that prefix and then 'ifconfig' and
>> 'route add'.  Another alternative is to send RAs on its loopback
>> interface with that prefix, and let the IPv6 stack autoconfigure
>> address, prefix and route as usual.  These are two choices.

> I think that this is correct. While the first case is simpler, it
> would mean changing the way of how a network interface is configured.
> By the way, do you know how the loopback interface in for example
> Linux is configured? That would be an interesting comparison. Sure, it
> normally has ::1/128 as fixed address, but could one assign prefixes
> to it using RA messages?

Loopback interface is configured same way as other interfaces i.e. you
still do ifconfig, etc just the name changes. The difference is in
that one is real and other is logical and linux and other
implementation would route the packets to self if sent to the loopback
interface.

- Shubhranshu

>> Also, MANET Scope is somehting I need to understand better.  Is MANET
>> Scope in any relationship with the existing scopes: link-local scope,
>> global scope?  Is MANET Scope in some relationship with the scope of the
>> all-manet-routers IP multicast group requested by manet-iana document?
>>
>> Is MANET scope in some relationship with the scopes of the following
>> Ethernet MAC multicast addresses: 33::1 (all Ethernet hosts), 33::2 (all
>> Ethernet routers), or other Ethernet MAC multicast group scopes?
>>
>> _some_ relationship?  _No_ relationship whatsoever?
>
> I don't know... I do not think that there is a common agreement on
> this term. The border between a MANET and the Internet using an ICP
> might be understandable (even though it has also been remarked that
> when a MANET is connected to the Internet, it is at that moment part
> of the Internet). However, when two or more MANETs are in the direct
> neighborhod and do not merge but instead add inter-MANET routes
> between them using aggregation, the MANET scope is less evident for
> me. If MANETs could for example use aggregation for different
> hierarchical levels of prefixes, it might be difficult to say: "The
> MANET ends _here_".

>> > As mentioned above, there are three interfaces under consideration
>> > for address  auto-configuration. Further detail related to these
>> > address auto-configuration is provided below:
>> >
>> > 1) Configuration of loopback interface:
>> >
>> > It is possible that a MANET Router does not have any host attached to
>> >  its network interface or it has only MANET interface which can be
>> > used for intra-manet communication. In the absence of any "external"
>> > host, MANET router may configure an IPv6 global address on its
>> > loopback interface. The traditional auto configuration procedure such
>> > as RFC 2462, can be used for this purpose provided the MANET router
>> > has been assigned a suitable prefix. As usual, this interface is
>> > expected to send multicast RA/RS messages. However, in this case,
>> > these messages would be limited to the Router's loopback interface
>> > only.
>>
>> This makes me think the MANET Router doesn't communicate  to anybody
>> else than self.  Its (real) network interface has no hosts attached to
>> it (has Routers attached to it?), MANET interface is virtual and
>> loopback interface leads to self.  I may misunderstand you.
>>
>> Also, I will have to read other documents to understand why the loopback
>> interface needs to have address/prefix. If I understand that then maybe
>> I can understand the above as well.
>
> Same for me :-) That's why a description of the loopback interface
> would be nice in the manetarch draft.
>
>>
>> > 2) Configuration of MANET interface:
>> >
>> > MANET Router uses this interface to communicate with other MANET
>> > Routers. MANET routing and other MANET specific protocols are
>> > expected to run on this interface. This interface SHOULD be
>> > configured with a link local address and/or a /128 (in case of IPv6)
>> > or with /32 (in case of IPv4) address. MANET interface may also use
>> > smaller prefix provided the prefix uniqueness is guaranteed.
>> > Configuration of MANET interface with a link local address and/or a
>> > /128 address is straightforward, as it can use existing mechanisms,
>> > except the issue of address uniqueness test over "multi-hop network".
>>
>> I agree.
>>
>> If the MANET interface is virtual then I think there's no standard for
>> defining link-local address on a virtual interface.  People do different
>> things for these, sometimes random.
>
> I don't understand this. Why do you say it is a virtual interface? I
> thought that it is a real interface on a mobile node, and that it is
> the only interface on the node which knows and cares about MANET
> characteristics (e.g. by running a MANET routing protocol on it).
>
>>
>> I think a good virtual interface (MANET interface or other) would need:
>> -a link-local address (/128 length).
>> -a link-local prefix (the fe80 /10 length).
>> -maybe a global subnet prefix with global address.
>> -maybe another global subnet prefix with a global address.
>>
>> I think you mean that "MANET Interface" means a sort of a label we put
>> on a real network interface.  Something that in some contexts some
>> people call "egress interface", or "ingress interface".
>>
>> So, if you mean MANET Interface is a real interface, then we may already
>> have a means to form a link-local address for it.
>
> Ah, know I think I understood you. So you mean that a MANET interface
> is virtual in the sense that it only a "caption" somehow for a real
> (e.g. 802.11) network interface, do you? Well, to my understanding it
> probably makes thinks more complicate to talk about a virtual
> interface instead of a "real" MANET interface
>
> Regards,
> Ulrich

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf